/* START PARALLAX CARD LIST */
.parallax-card-list {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 50px;
}

.parallax-card-list.generic-section {
    padding: 72px 0 104px;
}

/* List background color: white */
.parallax-card-list.white {
    background-color: var(--background-list-white);
}
/* List background color: grey */
.parallax-card-list.grey {
    background-color: var(--background-list-grey);
}
/* List background color: dark-grey */
.parallax-card-list.dark-grey {
    background-color: var(--background-list-dark-grey);
}

.parallax-card-list .list-title-row {
    text-align: center;
    width: 100%;
    font-family: var(--font-frutiger-bold);
    font-size: var(--text-xl);
    letter-spacing: 1px;
    color: var(--color-primary-blue);
}

/* List */
.parallax-card-list .list {
    display: flex;
    justify-content: center;
    align-items: baseline;
    width: 100%;
    column-gap: 68px;
    max-width: 1316px;
    padding: 0 32px;
    margin: auto;
}

/* Card */
.parallax-card-list .parallax-card {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 20px;
    width: calc(100% - 39px * 2 / 3);
    text-decoration: none;
    max-width: 390px;
}

.parallax-card-list .parallax-card.pointer-events-none {
    pointer-events: none;
    cursor: default;
}

/* Upper div */
.parallax-card-list .parallax-card .upper-div {
    display: flex;
    justify-content: start;
    align-items: center;
    height: 360px;
    width: 100%;
    position: relative;
}

.parallax-card-list .parallax-card .upper-div .close-up-img {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 87%;
    max-width: 311px;
    height: 360px;
    z-index: 1;
}

.parallax-card-list .parallax-card .upper-div .background-img {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 290px;
    position: absolute;
    right: 0;
}

/* Images alignment: right */
.parallax-card-list .parallax-card .upper-div.align-right {
    justify-content: start;
}
.parallax-card-list .parallax-card .upper-div .background-img.align-right {
    right: 0;
}
/* Images alignment: center */
.parallax-card-list .parallax-card .upper-div.align-center {
    justify-content: center;
}
/* Images alignment: left */
.parallax-card-list .parallax-card .upper-div.align-left {
    justify-content: end;
}
.parallax-card-list .parallax-card .upper-div .background-img.align-left {
    left: 0;
}

.parallax-card-list .parallax-card .upper-div .close-up-img picture,
.parallax-card-list .parallax-card .upper-div  .background-img picture {
    width: 100%;
    height: 100%;
}

.parallax-card-list .parallax-card .upper-div .close-up-img img,
.parallax-card-list .parallax-card .upper-div  .background-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
}

.parallax-card-list .parallax-card .upper-div  .background-img img {
    will-change: transform;
    transition: transform 0.1s linear;
}

/* Lower div */
.parallax-card-list .parallax-card .lower-div {
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 15px;
    min-height: fit-content;
    width: 100%;
}

.parallax-card-list .parallax-card .lower-div .title-card {
    width: 100%;
}

.parallax-card-list .parallax-card .lower-div .title-card h3 {
    word-break: break-word;
    font-size: var(--text-xxm);
    color: #000000;
    font-family: var(--font-frutiger-bold);
}

.parallax-card-list .parallax-card .lower-div .description-card {
    width: 100%;
}
.parallax-card-list .parallax-card .lower-div .description-card {
    word-break: break-word;
    font-size: var(--text-s);
    color: var(--color-text-grey);
    line-height: 1.4;
}
/* END PARALLAX CARD LIST */

/* START MEDIA QUERY */

/* Tablet */
@media (max-width: 767px) {
    .parallax-card-list.generic-section {
        padding: 64px 0 72px;
    }

    /* List */
    .parallax-card-list .list {
        width: 100%;
        column-gap: 39px;
    }

    /* Upper div */
    .parallax-card-list .parallax-card .upper-div {
        height: 210px;
    }
    .parallax-card-list .parallax-card .upper-div .close-up-img {
        width: 89%;
        max-width: 311px;
        height: 208px;
    }
    .parallax-card-list .parallax-card .upper-div .background-img {
        height: 167px;
    }

    /* Lower div */
    .parallax-card-list .parallax-card .lower-div .title-card h3 {
        font-size: var(--text-m);
    }

    .parallax-card-list .parallax-card {
        max-width: 330px;
    }
}
/* Mobile - 600 not 375 */
@media (max-width: 576px) {

    /* List */
    .parallax-card-list .list {
        flex-direction: column;
        align-items: center;
    }

    /* Card */
    .parallax-card-list .parallax-card {
        width: 100%;
        max-width: unset;
    }

    /* Upper div */
    .parallax-card-list .parallax-card .upper-div {
        height: 380px;
    }

    .parallax-card-list .parallax-card .upper-div .close-up-img {
        width: 87%;
        max-width: initial;
        height: 343px;
    }

    .parallax-card-list .parallax-card .upper-div .background-img {
        height: 277px;
    }

    /* Lower div */
    .parallax-card-list .parallax-card .lower-div {
        height: 170px;
    }

    .parallax-card-list .parallax-card .lower-div .title-card h3 {
        font-size: var(--text-xxm);
    }

    .parallax-card-list .list {
        padding: 0 16px;
    }

    .parallax-card-list .list-title-row {
        font-size: var(--text-xxxxm);
    }
}
/* END MEDIA QUERY */

